AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.6

AMPS::HAClient Member List

This is the complete list of members for AMPS::HAClient, including all inherited members.

ack(Field &topic_, Field &bookmark_, const char *options_=NULL) | AMPS::Client | inline
ack(Message &message_, const char *options_=NULL) | AMPS::Client | inline
ack(const std::string &topic_, const std::string &bookmark_, const char *options_=NULL) | AMPS::Client | inline
addConnectionStateListener(ConnectionStateListener *listener) | AMPS::Client | inline
addHttpPreflightHeader(const std::string &header_) | AMPS::Client | inline
addHttpPreflightHeader(const std::string &key_, const std::string &value_) | AMPS::Client | inline
addMessageHandler(const Field &commandId_, const AMPS::MessageHandler &messageHandler_, unsigned requestedAcks_, bool isSubscribe_) | AMPS::Client | inline
addMessageHandler(const Field &commandId_, const AMPS::MessageHandler &messageHandler_, unsigned requestedAcks_, Message::Command::Type commandType_) | AMPS::Client | inline
BOOKMARK_EPOCH() | AMPS::Client | inline static
BOOKMARK_MOST_RECENT() | AMPS::Client | inline static
BOOKMARK_NOW() | AMPS::Client | inline static
BOOKMARK_RECENT() | AMPS::Client | inline static
bookmarkSubscribe(const MessageHandler &messageHandler_, const std::string &topic_, long timeout_, const std::string &bookmark_, const std::string &filter_="", const std::string &options_="", const std::string &subId_="") | AMPS::Client | inline
bookmarkSubscribe(const std::string &topic_, long timeout_, const std::string &bookmark_, const std::string &filter_="", const std::string &options_="", const std::string &subId_="") | AMPS::Client | inline
bookmarkSubscribe(const char *topic_, long timeout_, const std::string &bookmark_, const std::string &filter_="", const std::string &options_="", const std::string &subId_="") | AMPS::Client | inline
clearConnectionStateListeners() | AMPS::Client | inline
clearHttpPreflightHeaders() | AMPS::Client | inline
Client(const std::string &clientName="") | AMPS::Client | inline
connect(const std::string &uri) | AMPS::Client | inline
connectAndLogon() | AMPS::HAClient | inline
convertVersionToNumber(const std::string &version_) | AMPS::Client | inline static
convertVersionToNumber(const char *data_, size_t len_) | AMPS::Client | inline static
createFileBacked(const std::string &name_, const std::string &publishLogName_, const std::string &subscribeLogName_) | AMPS::HAClient | inline static
createMemoryBacked(const std::string &name_) | AMPS::HAClient | inline static
deltaPublish(const std::string &topic_, const std::string &data_) | AMPS::Client | inline
deltaPublish(const char *topic_, size_t topicLength_, const char *data_, size_t dataLength_) | AMPS::Client | inline
deltaPublish(const std::string &topic_, const std::string &data_, unsigned long expiration_) | AMPS::Client | inline
deltaPublish(const char *topic_, size_t topicLength_, const char *data_, size_t dataLength_, unsigned long expiration_) | AMPS::Client | inline
deltaSubscribe(const MessageHandler &messageHandler_, const std::string &topic_, long timeout_, const std::string &filter_="", const std::string &options_="", const std::string &subId_="") | AMPS::Client | inline
deltaSubscribe(const std::string &topic_, long timeout_, const std::string &filter_="", const std::string &options_="", const std::string &subId_="") | AMPS::Client | inline
deltaSubscribe(const char *topic_, long timeout_, const std::string &filter_="", const std::string &options_="", const std::string &subId_="") | AMPS::Client | inline
disconnect() | AMPS::Client | inline
disconnected() const | AMPS::HAClient | inline
EPOCH() | AMPS::Client | inline static
execute(Command &command_) | AMPS::Client | inline
executeAsync(Command &command_, MessageHandler handler_) | AMPS::Client | inline
executeAsyncNoResubscribe(Command &command_, MessageHandler handler_) | AMPS::Client | inline
flushAcks(void) | AMPS::Client | inline
gatherConnectionInfo() const | AMPS::HAClient | inline
getAckBatchSize(void) const | AMPS::Client | inline
getAckTimeout(void) const | AMPS::Client | inline
getAutoAck(void) const | AMPS::Client | inline
getBookmarkStore() | AMPS::Client | inline
getConnectionInfo() const | AMPS::HAClient | inline virtual
getConnectionName() const | AMPS::Client | inline
getDefaultMaxDepth(void) const | AMPS::Client | inline
getDisconnectHandler(void) const | AMPS::Client | inline
getDuplicateMessageHandler(void) | AMPS::Client | inline
getExceptionListener(void) const | AMPS::Client | inline
getFailedWriteHandler() | AMPS::Client | inline
getHandle() | AMPS::Client | inline
getLogonCorrelationData() const | AMPS::Client | inline
getLogonOptions(void) const | AMPS::HAClient | inline
getName() const | AMPS::Client | inline
getNameHash() const | AMPS::Client | inline
getNameHashValue() const | AMPS::Client | inline
getPublishStore() | AMPS::Client | inline
getReconnectDelay() const | AMPS::HAClient | inline
getReconnectDelayStrategy(void) const | AMPS::HAClient | inline
getRetryOnDisconnect(void) const | AMPS::Client | inline
getServerChooser() const | AMPS::HAClient | inline
getServerVersion() const | AMPS::Client | inline
getServerVersionInfo() const | AMPS::Client | inline
getSubscriptionManager() | AMPS::Client | inline
getTimeout() const | AMPS::HAClient | inline
getURI() const | AMPS::Client | inline
HAClient() | AMPS::HAClient | inline
HAClient(const std::string &name_) | AMPS::HAClient | inline
HAClient(HAClientImpl *body_) | AMPS::HAClient | inline
HAClient(const HAClient &rhs) | AMPS::HAClient | inline
logon(int timeout_=0, Authenticator &authenticator_=DefaultAuthenticator::instance(), const char *options_=NULL) | AMPS::Client | inline
logon(const char *options_, int timeout_=0) | AMPS::Client | inline
logon(const std::string &options_, int timeout_=0) | AMPS::Client | inline
MOST_RECENT() | AMPS::Client | inline static
NOW() | AMPS::Client | inline static
operator=(const HAClient &rhs) | AMPS::HAClient | inline
publish(const std::string &topic_, const std::string &data_) | AMPS::Client | inline
publish(const char *topic_, size_t topicLength_, const char *data_, size_t dataLength_) | AMPS::Client | inline
publish(const std::string &topic_, const std::string &data_, unsigned long expiration_) | AMPS::Client | inline
publish(const char *topic_, size_t topicLength_, const char *data_, size_t dataLength_, unsigned long expiration_) | AMPS::Client | inline
publish(const std::string &topic_, const std::string &data_, const std::string &correlationId_) | AMPS::Client | inline
publish(const char *topic_, size_t topicLength_, const char *data_, size_t dataLength_, const char *correlationId_, size_t correlationIdLength_) | AMPS::Client | inline
publish(const std::string &topic_, const std::string &data_, const std::string &correlationId_, unsigned long expiration_) | AMPS::Client | inline
publish(const char *topic_, size_t topicLength_, const char *data_, size_t dataLength_, const char *correlationId_, size_t correlationIdLength_, unsigned long expiration_) | AMPS::Client | inline
publish(const std::string &topic_, const std::string &data_, const std::string &correlationId_, const std::string &sowKey_) | AMPS::Client | inline
publish(const char *topic_, size_t topicLength_, const char *data_, size_t dataLength_, const char *correlationId_, size_t correlationIdLength_, const char *sowKey_, size_t sowKeyLength_) | AMPS::Client | inline
publish(const std::string &topic_, const std::string &data_, const std::string &correlationId_, const std::string &sowKey_, unsigned long expiration_) | AMPS::Client | inline
publish(const char *topic_, size_t topicLength_, const char *data_, size_t dataLength_, const char *correlationId_, size_t correlationIdLength_, const char *sowKey_, size_t sowKeyLength_, unsigned long expiration_) | AMPS::Client | inline
publish(Message &message_) | AMPS::Client | inline
publishFlush(long timeout_=0, unsigned ackType_=Message::AckType::Processed) | AMPS::Client | inline
publishKeyed(const std::string &topic_, const std::string &data_, const std::string &sowKey_) | AMPS::Client | inline
publishKeyed(const char *topic_, size_t topicLength_, const char *data_, size_t dataLength_, const char *sowKey_, size_t sowKeyLength_) | AMPS::Client | inline
publishKeyed(const std::string &topic_, const std::string &data_, const std::string &sowKey_, unsigned long expiration_) | AMPS::Client | inline
publishKeyed(const char *topic_, size_t topicLength_, const char *data_, size_t dataLength_, const char *sowKey_, size_t sowKeyLength_, unsigned long expiration_) | AMPS::Client | inline
removeConnectionStateListener(ConnectionStateListener *listener) | AMPS::Client | inline
removeMessageHandler(const Field &commandId_) | AMPS::Client | inline
send(const Message &message) | AMPS::Client | inline
send(const MessageHandler &messageHandler_, Message &message_, int timeout_=0, AMPS_ATOMIC_BASE_TYPE subscribeGeneration_=0) | AMPS::Client | inline
setAckBatchSize(const unsigned ackBatchSize_) | AMPS::Client | inline
setAckTimeout(const int ackTimeout_) | AMPS::Client | inline
setAutoAck(bool isAutoAckEnabled_) | AMPS::Client | inline
setBookmarkStore(const BookmarkStore &bookmarkStore_) | AMPS::Client | inline
setDefaultMaxDepth(unsigned maxDepth_) | AMPS::Client | inline
setDisconnectHandler(const DisconnectHandler &) | AMPS::HAClient | inline virtual
setDuplicateMessageHandler(const MessageHandler &duplicateMessageHandler_) | AMPS::Client | inline
setExceptionListener(const std::shared_ptr< const ExceptionListener > &pListener_) | AMPS::Client | inline
setExceptionListener(const ExceptionListener &listener_) | AMPS::Client | inline
setFailedWriteHandler(FailedWriteHandler *handler_) | AMPS::Client | inline
setGlobalCommandTypeMessageHandler(const std::string &command_, const MessageHandler &handler_) | AMPS::Client | inline
setGlobalCommandTypeMessageHandler(const Message::Command::Type command_, const MessageHandler &handler_) | AMPS::Client | inline
setHeartbeat(unsigned heartbeatTime_, unsigned readTimeout_) | AMPS::Client | inline
setHeartbeat(unsigned heartbeatTime_) | AMPS::Client | inline
setHttpPreflightHeaders(const T &headers_) | AMPS::Client | inline
setLastChanceMessageHandler(const AMPS::MessageHandler &messageHandler) | AMPS::Client | inline
setLogonCorrelationData(const std::string &logonCorrelationData_) | AMPS::Client | inline
setLogonOptions(const char *logonOptions_) | AMPS::HAClient | inline
setLogonOptions(const std::string &logonOptions_) | AMPS::HAClient | inline
setName(const std::string &name) | AMPS::Client | inline
setPublishBatching(size_t batchSize_, amps_uint64_t batchTimeoutMillis_) | AMPS::Client | inline
setPublishStore(const Store &publishStore_) | AMPS::Client | inline
setReconnectDelay(int reconnectDelay_) | AMPS::HAClient | inline
setReconnectDelayStrategy(const ReconnectDelayStrategy &strategy_) | AMPS::HAClient | inline
setRetryOnDisconnect(bool isRetryOnDisconnect_) | AMPS::Client | inline
setServerChooser(const ServerChooser &serverChooser_) | AMPS::HAClient | inline
setSubscriptionManager(SubscriptionManager *subscriptionManager_) | AMPS::Client | inline
setThreadCreatedCallback(amps_thread_created_callback callback_, void *userData_) | AMPS::Client | inline
setTimeout(int timeout_) | AMPS::HAClient | inline
setTransportFilterFunction(amps_transport_filter_function filter_, void *userData_) | AMPS::Client | inline
setUnhandledMessageHandler(const AMPS::MessageHandler &messageHandler) | AMPS::Client | inline
sow(const MessageHandler &messageHandler_, const std::string &topic_, const std::string &filter_="", const std::string &orderBy_="", const std::string &bookmark_="", int batchSize_=DEFAULT_BATCH_SIZE, int topN_=DEFAULT_TOP_N, const std::string &options_="", long timeout_=DEFAULT_COMMAND_TIMEOUT) | AMPS::Client | inline
sow(const std::string &topic_, const std::string &filter_="", const std::string &orderBy_="", const std::string &bookmark_="", int batchSize_=DEFAULT_BATCH_SIZE, int topN_=DEFAULT_TOP_N, const std::string &options_="", long timeout_=DEFAULT_COMMAND_TIMEOUT) | AMPS::Client | inline
sow(const char *topic_, const std::string &filter_="", const std::string &orderBy_="", const std::string &bookmark_="", int batchSize_=DEFAULT_BATCH_SIZE, int topN_=DEFAULT_TOP_N, const std::string &options_="", long timeout_=DEFAULT_COMMAND_TIMEOUT) | AMPS::Client | inline
sow(const MessageHandler &messageHandler_, const std::string &topic_, long timeout_, const std::string &filter_="", int batchSize_=DEFAULT_BATCH_SIZE, int topN_=DEFAULT_TOP_N) | AMPS::Client | inline
sowAndDeltaSubscribe(const MessageHandler &messageHandler_, const std::string &topic_, const std::string &filter_="", const std::string &orderBy_="", int batchSize_=DEFAULT_BATCH_SIZE, int topN_=DEFAULT_TOP_N, const std::string &options_="", long timeout_=DEFAULT_COMMAND_TIMEOUT) | AMPS::Client | inline
sowAndDeltaSubscribe(const std::string &topic_, const std::string &filter_="", const std::string &orderBy_="", int batchSize_=DEFAULT_BATCH_SIZE, int topN_=DEFAULT_TOP_N, const std::string &options_="", long timeout_=DEFAULT_COMMAND_TIMEOUT) | AMPS::Client | inline
sowAndDeltaSubscribe(const char *topic_, const std::string &filter_="", const std::string &orderBy_="", int batchSize_=DEFAULT_BATCH_SIZE, int topN_=DEFAULT_TOP_N, const std::string &options_="", long timeout_=DEFAULT_COMMAND_TIMEOUT) | AMPS::Client | inline
sowAndDeltaSubscribe(const MessageHandler &messageHandler_, const std::string &topic_, long timeout_, const std::string &filter_="", int batchSize_=DEFAULT_BATCH_SIZE, bool oofEnabled_=false, bool sendEmpties_=false, int topN_=DEFAULT_TOP_N) | AMPS::Client | inline
sowAndDeltaSubscribe(const std::string &topic_, long timeout_, const std::string &filter_="", int batchSize_=DEFAULT_BATCH_SIZE, bool oofEnabled_=false, bool sendEmpties_=false, int topN_=DEFAULT_TOP_N) | AMPS::Client | inline
sowAndDeltaSubscribe(const char *topic_, long timeout_, const std::string &filter_="", int batchSize_=DEFAULT_BATCH_SIZE, bool oofEnabled_=false, bool sendEmpties_=false, int topN_=DEFAULT_TOP_N) | AMPS::Client | inline
sowAndSubscribe(const MessageHandler &messageHandler_, const std::string &topic_, long timeout_, const std::string &filter_="", int batchSize_=DEFAULT_BATCH_SIZE, bool oofEnabled_=false, int topN_=DEFAULT_TOP_N) | AMPS::Client | inline
sowAndSubscribe(const std::string &topic_, long timeout_, const std::string &filter_="", int batchSize_=DEFAULT_BATCH_SIZE, bool oofEnabled_=false, int topN_=DEFAULT_TOP_N) | AMPS::Client | inline
sowAndSubscribe(const char *topic_, long timeout_, const std::string &filter_="", int batchSize_=DEFAULT_BATCH_SIZE, bool oofEnabled_=false, int topN_=DEFAULT_TOP_N) | AMPS::Client | inline
sowAndSubscribe(const MessageHandler &messageHandler_, const std::string &topic_, const std::string &filter_="", const std::string &orderBy_="", const std::string &bookmark_="", int batchSize_=DEFAULT_BATCH_SIZE, int topN_=DEFAULT_TOP_N, const std::string &options_="", long timeout_=DEFAULT_COMMAND_TIMEOUT) | AMPS::Client | inline
sowAndSubscribe(const std::string &topic_, const std::string &filter_="", const std::string &orderBy_="", const std::string &bookmark_="", int batchSize_=DEFAULT_BATCH_SIZE, int topN_=DEFAULT_TOP_N, const std::string &options_="", long timeout_=DEFAULT_COMMAND_TIMEOUT) | AMPS::Client | inline
sowAndSubscribe(const char *topic_, const std::string &filter_="", const std::string &orderBy_="", const std::string &bookmark_="", int batchSize_=DEFAULT_BATCH_SIZE, int topN_=DEFAULT_TOP_N, const std::string &options_="", long timeout_=DEFAULT_COMMAND_TIMEOUT) | AMPS::Client | inline
sowDelete(const MessageHandler &messageHandler, const std::string &topic, const std::string &filter, long timeout) | AMPS::Client | inline
sowDelete(const std::string &topic_, const std::string &filter_, long timeout_=0) | AMPS::Client | inline
sowDeleteByData(const MessageHandler &messageHandler_, const std::string &topic_, const std::string &data_, long timeout_=0) | AMPS::Client | inline
sowDeleteByData(const std::string &topic_, const std::string &data_, long timeout_=0) | AMPS::Client | inline
sowDeleteByKeys(const MessageHandler &messageHandler_, const std::string &topic_, const std::string &keys_, long timeout_=0) | AMPS::Client | inline
sowDeleteByKeys(const std::string &topic_, const std::string &keys_, long timeout_=0) | AMPS::Client | inline
startTimer() | AMPS::Client | inline
stopTimer(const MessageHandler &messageHandler) | AMPS::Client | inline
subscribe(const MessageHandler &messageHandler_, const std::string &topic_, long timeout_=0, const std::string &filter_="", const std::string &options_="", const std::string &subId_="") | AMPS::Client | inline
subscribe(const std::string &topic_, long timeout_=0, const std::string &filter_="", const std::string &options_="", const std::string &subId_="") | AMPS::Client | inline
subscribe(const char *topic_, long timeout_=0, const std::string &filter_="", const std::string &options_="", const std::string &subId_="") | AMPS::Client | inline
unsubscribe(const std::string &commandId) | AMPS::Client | inline
unsubscribe() | AMPS::Client | inline